package config

import (
	"testing"
	"time"
)

func TestEncodeDecode(t *testing.T) {
	c := time.Now()
	d := c.Add(0)

	b, err := Encode(c)
	if err != nil {
		t.Fatal(err)
	}

	if err := Decode(b, &c); err != nil {
		t.Fatal(err)
	}

	if c.Sub(d) > time.Millisecond*5 {
		t.Fatalf("%v => %v", d, c)
	}
}
